BizKitHub
DocsAPI ReferenceTeam Chat/bff/team-chat/call-start
postTeam ChatAdmin BFF

/bff/team-chat/call-start

Direct or group rooms only. Joins the running call when the room already has one. Media goes to the LiveKit SFU, never through core; nothing is recorded.

Team chatpostBffTeam-chatCall-start

Parameters

JSON body

Request body

application/json
roomIdstringRequired

24-char room id.

Length: 24–24
videobooleanRequired

Response schema

1 status code documented

200Success
urlstringRequired

LiveKit signalling URL.

tokenstringRequired

Participant access token for this call only.

callobjectRequired
idstringRequired

16-char call id.

roomIdstringRequired
roomType"direct" | "group"Required
startedBystringRequired

Caller user wire id.

startedAtstringRequired
answeredAtstring | nullRequired
One of 2:
Variant 1
string
Variant 2
null
videobooleanRequired

The caller started with the camera on.

participantsstring[]Required

User wire ids that are rung / may join.

presentstring[]Required

User wire ids connected right now.

declinedstring[]Required
ringSecondsstring | integerRequired
One of 2:
Variant 1
stringinteger
Default: 0
Variant 2
integer

Response example

application/json
{
  "url": "example_url",
  "token": "example_token",
  "call": {
    "id": "example_id",
    "roomId": "example_roomId",
    "startedBy": "example_startedBy",
    "startedAt": "example_startedAt",
    "video": false,
    "participants": [
      "string"
    ],
    "present": [
      "string"
    ],
    "declined": [
      "string"
    ]
  }
}

Request example

POST /bff/team-chat/call-start

post
curl -X POST "https://api.bizkithub.com/bff/team-chat/call-start" \
  -H "Content-Type: application/json" \
  -H "Authorization: Bearer YOUR_API_KEY" \
  -d '{
  "roomId": "example_roomId",
  "video": false
}'

Need an API key?

All BizKitHub public API endpoints require authentication via API key.

Get API Key